#
# spec file for package python-vdirsyncer
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-vdirsyncer
Version:        0.16.0
Release:        lp150.1.3
Summary:        Synchronize CalDAV and CardDAV
License:        BSD-3-Clause
Group:          Productivity/Networking/News/Utilities
Url:            https://github.com/pimutils/vdirsyncer
Source:         https://files.pythonhosted.org/packages/source/v/vdirsyncer/vdirsyncer-%{version}.tar.gz
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-atomicwrites >= 0.1.7
Requires:       python-click >= 5.0
Requires:       python-click-log >= 0.1.3
Requires:       python-click-threading >= 0.2
Requires:       python-icalendar >= 3.6
Requires:       python-lxml
Requires:       python-python-dateutil
Requires:       python-pytz
Requires:       python-requests >= 2.0.1
Requires:       python-requests-toolbelt >= 0.4.0
Recommends:     python-requests-oauthlib
%ifpython3
Provides:       vdirsyncer == %{version}
Obsoletes:      vdirsyncer < %{version}
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
Vdirsyncer synchronizes your calendars and addressbooks between two storages. The supported storages are CalDAV, CardDAV, arbitrary HTTP resources, vdir and some more.
It aims to be for CalDAV and CardDAV what OfflineIMAP is for IMAP.

%prep
%setup -q -n vdirsyncer-%{version}
rm -rf vdirsyncer.egg-info

%build
%python_build

%install
%python_install
%python_expand %fdupes -s %{buildroot}/%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root)
%doc LICENSE README.rst
%python3_only %{_bindir}/vdirsyncer
%{python_sitelib}/*

%changelog
* Tue Jul  4 2017 aloisio@gmx.com
- Update to version 0.16.0
  * Strip METHOD:PUBLISH added by some calendar providers, see
    :gh:`502`.
  * Fix crash of Google storages when saving token file.
  * Make DAV discovery more RFC-conformant, see :ghpr:`585`.
  * Vdirsyncer is now tested against Xandikos, see :ghpr:`601`.
  * Subfolders with a leading dot are now ignored during
    discover for filesystem storage. This makes it easier to combine
    it with version control.
  * Statuses are now stored in a sqlite database. Old data is
    automatically migrated. Users with really large datasets should
    encounter performance improvements. This means that sqlite3 is
    now a dependency of vdirsyncer.
  * Vdirsyncer is now licensed under the 3-clause BSD license,
    see :gh:`610`.
  * Vdirsyncer now includes experimental support for EteSync,
    see :ghpr:`614`.
  * Vdirsyncer now uses more filesystem metadata for determining
    whether an item changed. You will notice a possibly heavy CPU/IO
    spike on the first sync after upgrading.
  * Packagers: Reference systemd.service and systemd.timer unit
    files are provided. It is recommended to install these as
    documentation if your distribution is systemd-based.
- Provides vdirsyncer only for python3.
* Fri Jun 30 2017 aloisio@gmx.com
- Update to 0.15.0 (see changelog.rst)
- Renamed to python-vdirsyncer
- Converted to single-spec
* Fri Feb 26 2016 tbechtold@suse.com
- Require python-python-dateutil. package was renamed
* Wed Nov  5 2014 seiler@b1-systems.de
- added needed python-requests-toolbelt dependency
* Tue Nov  4 2014 seiler@b1-systems.de
- initial commit
